//
//  VerifyTokenHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/9/15.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "VerifyTokenHttpPostCmd.h"
#import "VerifyTokenHttpResult.h"

static NSString *kActionUrl1 = @"/Single/VerifyTokenAndEquipment";

@implementation VerifyTokenHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[VerifyTokenHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[VerifyTokenHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpVerifyTokenHttpPostCmd_appId = @"appId";
NSString *const kHttpVerifyTokenHttpPostCmd_userName = @"userName";
NSString *const kHttpVerifyTokenHttpPostCmd_remoteIp = @"remoteIp";
NSString *const kHttpVerifyTokenHttpPostCmd_attributeNames = @"attributeNames";
NSString *const kHttpVerifyTokenHttpPostCmd_authnMethod = @"authnMethod";
NSString *const kHttpVerifyTokenHttpPostCmd_equipmentId = @"equipmentId";
NSString *const kHttpVerifyTokenHttpPostCmd_passWord = @"passWord";
